import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useRef } from 'react';
import dayjs from 'dayjs';
import { Typography } from '@mui/material';
import { TimePicker } from '@mui/x-date-pickers';
import { AdapterDayjs } from '@mui/x-date-pickers/AdapterDayjs';
import { LocalizationProvider } from '@mui/x-date-pickers/LocalizationProvider';
import { TimeFormat } from '../../constants/date-time-constants';
import './adminDateTimePicker-styles.scss';
const AdminTimePicker = (props) => {
    const { onChange = () => { }, label = '', placeholder = 'Select time', timeFormat = TimeFormat.HHMMSS, value, timeViews, error = false, helperText, } = props;
    const pickerRef = useRef(null);
    const handleTimePickerChange = (time) => {
        const value = time ? dayjs(time).format(timeFormat) : '';
        onChange(value);
    };
    return (_jsxs("div", { className: "adminTimePicker__timePickerContainer", children: [_jsx(Typography, { className: "adminTimePicker__timeInputLabel", children: label }), _jsx(LocalizationProvider, { dateAdapter: AdapterDayjs, children: _jsx(TimePicker, { className: "adminTimePicker__timePickerContainer", format: timeFormat, onChange: handleTimePickerChange, ref: pickerRef, slotProps: {
                        textField: {
                            placeholder,
                            error: error,
                            helperText: error ? helperText || 'Please Select valid time' : '',
                            className: error
                                ? 'adminDatePicker__errorDatePickerInput'
                                : 'adminDatePicker__datePickerInput',
                        },
                    }, value: dayjs(value, TimeFormat.HHMMSS), views: timeViews }) })] }));
};
export default AdminTimePicker;
