import React from 'react';
import { IDropdown } from '../../types/dropdown-types';
import './adminDropdown-styles.scss';
export interface IAdminDropdownProps {
    /** containerClass: is an optional prop which contains the class name for styling the container */
    containerClass?: string;
    /** disabled: is an optional prop that which state it is disabled or not */
    disabled?: boolean;
    /** data: is a required prop that contains the options for the dropdown. */
    data: IDropdown[];
    /**helperText: is an optional prop that states the error message. */
    helperText?: string;
    /** error: is an optional prop that states whether the field has error or not */
    error?: boolean;
    /**isMultiple: is an optional prop which state it is multiselect or not */
    isMultiple?: boolean;
    /** isOptional: is an optional prop that states whether the field is optional or not */
    isOptional?: boolean;
    /**isReadOnly: is an optional prop that decides whether the input field is editable or not. */
    isReadOnly?: boolean;
    /**label: is a optional prop which states input field label. */
    label?: string;
    /** labelClass: is an optional prop and it dictates the class of the input label */
    labelClass?: string;
    /**maxSelectLimit: is an optional prop which states max value select in multiple */
    maxSelectLimit?: number;
    /**placeholder: is a required prop which states placeholder for dropdown input field. */
    placeholder?: string;
    /** renderOption: is an optional prop which states the function for rendering dropdown options. */
    renderOption?: (props: React.HTMLAttributes<HTMLLIElement>, option: IDropdown | IDropdown[]) => React.ReactNode;
    /**onChange: is an required prop that states the setter function for setting the value of the input field. */
    onChange?: (value: string | number | (string | number)[] | null) => void;
    /** tooltipMessage: is an optional prop that provides an informational message to be displayed when the info icon is clicked or hovered over.*/
    tooltipMessage?: string;
    /**value: is an optional prop which states input field value. */
    value?: string | string[] | number | number[] | null;
}
declare const _default: React.MemoExoticComponent<(props: IAdminDropdownProps) => import("react/jsx-runtime").JSX.Element>;
export default _default;
