import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useNavigate, useSearchParams } from 'react-router-dom';
import { isNil, omitBy } from 'lodash';
import qs from 'qs';
import Box from '@mui/material/Box';
import Tab from '@mui/material/Tab';
import Tabs from '@mui/material/Tabs';
import { PARAMS } from '../../constants';
import './adminTab-styles.scss';
const getType = (url) => {
    const [_baseUrl, params] = url.split('?');
    return omitBy(qs.parse(params), isNil) || {};
};
const AdminTab = ({ data }) => {
    const navigate = useNavigate();
    const [params] = useSearchParams();
    const section = params.get(PARAMS.Type) || '';
    // Determine the index of the tab to be selected based on currentPath
    const selectedIndex = data.findIndex(item => getType(item.path)?.[PARAMS.Type] === section);
    // Handle tab change to update URL path
    const handleTabChange = (_, newIndex) => {
        const newPath = data[newIndex].path;
        const [_baseUrl, params] = newPath.split('?');
        navigate(`?${params}`);
    };
    // Find the data for the currently selected tab
    const currentTabData = selectedIndex === -1 ? data[0] : data[selectedIndex];
    return (_jsxs(Box, { className: "adminTab__container", children: [_jsx(Tabs, { variant: "scrollable", className: "adminTab__tabs", value: selectedIndex === -1 ? 0 : selectedIndex, onChange: handleTabChange, children: data.map(item => (_jsx(Tab, { label: item.name }, item.id))) }), _jsx(Box, { className: "adminTab__childrenContainer", children: currentTabData.children })] }));
};
export default AdminTab;
