import { ReactNode } from 'react';
import { Instance } from 'mobx-state-tree';
declare const RootStore: import("mobx-state-tree").IModelType<{
    applicationStore: import("mobx-state-tree").IModelType<{
        configStore: import("mobx-state-tree").IModelType<{
            assessmentCompletionTime: import("mobx-state-tree").ISimpleType<number>;
            scoreProgressColors: import("mobx-state-tree").IArrayType<import("mobx-state-tree").ISimpleType<string>>;
        }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    domainStore: import("mobx-state-tree").IModelType<{
        userStore: import("mobx-state-tree").IModelType<{
            isSignedIn: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<boolean>, [undefined]>;
            isRegisterAdminLoading: import("mobx-state-tree").ISimpleType<boolean>;
            isEmailExisting: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            setIsSignedIn: (value: boolean) => void;
            logoutUser: () => void;
            registerNewAdmin: (email: string, password: string, successCallback?: (() => void) | undefined) => Promise<void>;
            checkEmailExists: (email: string) => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        configStore: import("mobx-state-tree").IModelType<{
            configData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<string>;
                key: import("mobx-state-tree").ISimpleType<string>;
                value: import("mobx-state-tree").IType<any, any, any>;
                type: import("mobx-state-tree").ISimpleType<string>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
            isConfigLoading: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            getConfigData: (page: number, limit: number) => Promise<void>;
            deleteConfigItem: (id: string) => Promise<void>;
            addConfigData: (data: {
                id?: string;
                key: string;
                value: string;
                type: string;
            }) => Promise<void>;
            updateConfigItem: (id: string, newData: any) => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        dashboardStore: import("mobx-state-tree").IModelType<{
            chartData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                name: import("mobx-state-tree").ISimpleType<string>;
                uv: import("mobx-state-tree").ISimpleType<number>;
                pv: import("mobx-state-tree").ISimpleType<number>;
                amt: import("mobx-state-tree").ISimpleType<number>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
            isLoading: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            getChartData: () => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        termsAndConditions: import("mobx-state-tree").IModelType<{
            termsAndConditionsData: import("mobx-state-tree").ISimpleType<string>;
            id: import("mobx-state-tree").ISimpleType<string>;
        }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {
        updateTermsAndCondition: (data: string, id: string) => Promise<void>;
        getTermsAndConditions: () => Promise<void>;
        setTermsAndConditionsData: (data: string) => void;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    viewStore: import("mobx-state-tree").IModelType<{
        apiStatusStore: import("mobx-state-tree").IModelType<{
            apiStatus: any;
        }, {
            clearApiStatus: () => void;
            getApiStatus: (id: string) => any;
            setApiStatus: (data: {
                error?: any;
                hasFetched?: boolean;
                id: string;
                isError?: boolean;
                isLoading?: boolean;
            }) => void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        toastStore: import("mobx-state-tree").IModelType<{
            isToastVisible: import("mobx-state-tree").ISimpleType<boolean>;
            preset: import("mobx-state-tree").ISimpleType<import("../../constants").ToastPreset>;
            toastMessage: import("mobx-state-tree").ISimpleType<string>;
        }, {
            closeToast(): void;
            popToast({ type, message }: {
                type: import("../../constants").ToastPreset;
                message: string;
            }): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
}, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
declare const mstStore: {
    applicationStore: {
        configStore: {
            assessmentCompletionTime: number;
            scoreProgressColors: import("mobx-state-tree").IMSTArray<import("mobx-state-tree").ISimpleType<string>> & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IArrayType<import("mobx-state-tree").ISimpleType<string>>>;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            assessmentCompletionTime: import("mobx-state-tree").ISimpleType<number>;
            scoreProgressColors: import("mobx-state-tree").IArrayType<import("mobx-state-tree").ISimpleType<string>>;
        }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    } & import("mobx-state-tree/dist/internal").NonEmptyObject & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
        configStore: import("mobx-state-tree").IModelType<{
            assessmentCompletionTime: import("mobx-state-tree").ISimpleType<number>;
            scoreProgressColors: import("mobx-state-tree").IArrayType<import("mobx-state-tree").ISimpleType<string>>;
        }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    domainStore: {
        userStore: {
            isSignedIn: boolean;
            isRegisterAdminLoading: boolean;
            isEmailExisting: boolean;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
            setIsSignedIn: (value: boolean) => void;
            logoutUser: () => void;
            registerNewAdmin: (email: string, password: string, successCallback?: (() => void) | undefined) => Promise<void>;
            checkEmailExists: (email: string) => Promise<void>;
        } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            isSignedIn: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<boolean>, [undefined]>;
            isRegisterAdminLoading: import("mobx-state-tree").ISimpleType<boolean>;
            isEmailExisting: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            setIsSignedIn: (value: boolean) => void;
            logoutUser: () => void;
            registerNewAdmin: (email: string, password: string, successCallback?: (() => void) | undefined) => Promise<void>;
            checkEmailExists: (email: string) => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        configStore: {
            configData: import("mobx-state-tree").IMSTArray<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<string>;
                key: import("mobx-state-tree").ISimpleType<string>;
                value: import("mobx-state-tree").IType<any, any, any>;
                type: import("mobx-state-tree").ISimpleType<string>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>> & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<string>;
                key: import("mobx-state-tree").ISimpleType<string>;
                value: import("mobx-state-tree").IType<any, any, any>;
                type: import("mobx-state-tree").ISimpleType<string>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>>;
            isConfigLoading: boolean;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
            getConfigData: (page: number, limit: number) => Promise<void>;
            deleteConfigItem: (id: string) => Promise<void>;
            addConfigData: (data: {
                id?: string;
                key: string;
                value: string;
                type: string;
            }) => Promise<void>;
            updateConfigItem: (id: string, newData: any) => Promise<void>;
        } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            configData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<string>;
                key: import("mobx-state-tree").ISimpleType<string>;
                value: import("mobx-state-tree").IType<any, any, any>;
                type: import("mobx-state-tree").ISimpleType<string>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
            isConfigLoading: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            getConfigData: (page: number, limit: number) => Promise<void>;
            deleteConfigItem: (id: string) => Promise<void>;
            addConfigData: (data: {
                id?: string;
                key: string;
                value: string;
                type: string;
            }) => Promise<void>;
            updateConfigItem: (id: string, newData: any) => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        dashboardStore: {
            chartData: import("mobx-state-tree").IMSTArray<import("mobx-state-tree").IModelType<{
                name: import("mobx-state-tree").ISimpleType<string>;
                uv: import("mobx-state-tree").ISimpleType<number>;
                pv: import("mobx-state-tree").ISimpleType<number>;
                amt: import("mobx-state-tree").ISimpleType<number>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>> & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                name: import("mobx-state-tree").ISimpleType<string>;
                uv: import("mobx-state-tree").ISimpleType<number>;
                pv: import("mobx-state-tree").ISimpleType<number>;
                amt: import("mobx-state-tree").ISimpleType<number>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>>;
            isLoading: boolean;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
            getChartData: () => Promise<void>;
        } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            chartData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                name: import("mobx-state-tree").ISimpleType<string>;
                uv: import("mobx-state-tree").ISimpleType<number>;
                pv: import("mobx-state-tree").ISimpleType<number>;
                amt: import("mobx-state-tree").ISimpleType<number>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
            isLoading: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            getChartData: () => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        termsAndConditions: {
            termsAndConditionsData: string;
            id: string;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            termsAndConditionsData: import("mobx-state-tree").ISimpleType<string>;
            id: import("mobx-state-tree").ISimpleType<string>;
        }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
        updateTermsAndCondition: (data: string, id: string) => Promise<void>;
        getTermsAndConditions: () => Promise<void>;
        setTermsAndConditionsData: (data: string) => void;
    } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
        userStore: import("mobx-state-tree").IModelType<{
            isSignedIn: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<boolean>, [undefined]>;
            isRegisterAdminLoading: import("mobx-state-tree").ISimpleType<boolean>;
            isEmailExisting: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            setIsSignedIn: (value: boolean) => void;
            logoutUser: () => void;
            registerNewAdmin: (email: string, password: string, successCallback?: (() => void) | undefined) => Promise<void>;
            checkEmailExists: (email: string) => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        configStore: import("mobx-state-tree").IModelType<{
            configData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<string>;
                key: import("mobx-state-tree").ISimpleType<string>;
                value: import("mobx-state-tree").IType<any, any, any>;
                type: import("mobx-state-tree").ISimpleType<string>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
            isConfigLoading: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            getConfigData: (page: number, limit: number) => Promise<void>;
            deleteConfigItem: (id: string) => Promise<void>;
            addConfigData: (data: {
                id?: string;
                key: string;
                value: string;
                type: string;
            }) => Promise<void>;
            updateConfigItem: (id: string, newData: any) => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        dashboardStore: import("mobx-state-tree").IModelType<{
            chartData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                name: import("mobx-state-tree").ISimpleType<string>;
                uv: import("mobx-state-tree").ISimpleType<number>;
                pv: import("mobx-state-tree").ISimpleType<number>;
                amt: import("mobx-state-tree").ISimpleType<number>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
            isLoading: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            getChartData: () => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        termsAndConditions: import("mobx-state-tree").IModelType<{
            termsAndConditionsData: import("mobx-state-tree").ISimpleType<string>;
            id: import("mobx-state-tree").ISimpleType<string>;
        }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {
        updateTermsAndCondition: (data: string, id: string) => Promise<void>;
        getTermsAndConditions: () => Promise<void>;
        setTermsAndConditionsData: (data: string) => void;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    viewStore: {
        apiStatusStore: {
            apiStatus: any;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
            clearApiStatus: () => void;
            getApiStatus: (id: string) => any;
            setApiStatus: (data: {
                error?: any;
                hasFetched?: boolean;
                id: string;
                isError?: boolean;
                isLoading?: boolean;
            }) => void;
        } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            apiStatus: any;
        }, {
            clearApiStatus: () => void;
            getApiStatus: (id: string) => any;
            setApiStatus: (data: {
                error?: any;
                hasFetched?: boolean;
                id: string;
                isError?: boolean;
                isLoading?: boolean;
            }) => void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        toastStore: {
            isToastVisible: boolean;
            preset: import("../../constants").ToastPreset;
            toastMessage: string;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
            closeToast(): void;
            popToast({ type, message }: {
                type: import("../../constants").ToastPreset;
                message: string;
            }): void;
        } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            isToastVisible: import("mobx-state-tree").ISimpleType<boolean>;
            preset: import("mobx-state-tree").ISimpleType<import("../../constants").ToastPreset>;
            toastMessage: import("mobx-state-tree").ISimpleType<string>;
        }, {
            closeToast(): void;
            popToast({ type, message }: {
                type: import("../../constants").ToastPreset;
                message: string;
            }): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    } & import("mobx-state-tree/dist/internal").NonEmptyObject & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
        apiStatusStore: import("mobx-state-tree").IModelType<{
            apiStatus: any;
        }, {
            clearApiStatus: () => void;
            getApiStatus: (id: string) => any;
            setApiStatus: (data: {
                error?: any;
                hasFetched?: boolean;
                id: string;
                isError?: boolean;
                isLoading?: boolean;
            }) => void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        toastStore: import("mobx-state-tree").IModelType<{
            isToastVisible: import("mobx-state-tree").ISimpleType<boolean>;
            preset: import("mobx-state-tree").ISimpleType<import("../../constants").ToastPreset>;
            toastMessage: import("mobx-state-tree").ISimpleType<string>;
        }, {
            closeToast(): void;
            popToast({ type, message }: {
                type: import("../../constants").ToastPreset;
                message: string;
            }): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
} & import("mobx-state-tree/dist/internal").NonEmptyObject & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
    applicationStore: import("mobx-state-tree").IModelType<{
        configStore: import("mobx-state-tree").IModelType<{
            assessmentCompletionTime: import("mobx-state-tree").ISimpleType<number>;
            scoreProgressColors: import("mobx-state-tree").IArrayType<import("mobx-state-tree").ISimpleType<string>>;
        }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    domainStore: import("mobx-state-tree").IModelType<{
        userStore: import("mobx-state-tree").IModelType<{
            isSignedIn: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<boolean>, [undefined]>;
            isRegisterAdminLoading: import("mobx-state-tree").ISimpleType<boolean>;
            isEmailExisting: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            setIsSignedIn: (value: boolean) => void;
            logoutUser: () => void;
            registerNewAdmin: (email: string, password: string, successCallback?: (() => void) | undefined) => Promise<void>;
            checkEmailExists: (email: string) => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        configStore: import("mobx-state-tree").IModelType<{
            configData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<string>;
                key: import("mobx-state-tree").ISimpleType<string>;
                value: import("mobx-state-tree").IType<any, any, any>;
                type: import("mobx-state-tree").ISimpleType<string>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
            isConfigLoading: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            getConfigData: (page: number, limit: number) => Promise<void>;
            deleteConfigItem: (id: string) => Promise<void>;
            addConfigData: (data: {
                id?: string;
                key: string;
                value: string;
                type: string;
            }) => Promise<void>;
            updateConfigItem: (id: string, newData: any) => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        dashboardStore: import("mobx-state-tree").IModelType<{
            chartData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                name: import("mobx-state-tree").ISimpleType<string>;
                uv: import("mobx-state-tree").ISimpleType<number>;
                pv: import("mobx-state-tree").ISimpleType<number>;
                amt: import("mobx-state-tree").ISimpleType<number>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
            isLoading: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            getChartData: () => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        termsAndConditions: import("mobx-state-tree").IModelType<{
            termsAndConditionsData: import("mobx-state-tree").ISimpleType<string>;
            id: import("mobx-state-tree").ISimpleType<string>;
        }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {
        updateTermsAndCondition: (data: string, id: string) => Promise<void>;
        getTermsAndConditions: () => Promise<void>;
        setTermsAndConditionsData: (data: string) => void;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    viewStore: import("mobx-state-tree").IModelType<{
        apiStatusStore: import("mobx-state-tree").IModelType<{
            apiStatus: any;
        }, {
            clearApiStatus: () => void;
            getApiStatus: (id: string) => any;
            setApiStatus: (data: {
                error?: any;
                hasFetched?: boolean;
                id: string;
                isError?: boolean;
                isLoading?: boolean;
            }) => void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        toastStore: import("mobx-state-tree").IModelType<{
            isToastVisible: import("mobx-state-tree").ISimpleType<boolean>;
            preset: import("mobx-state-tree").ISimpleType<import("../../constants").ToastPreset>;
            toastMessage: import("mobx-state-tree").ISimpleType<string>;
        }, {
            closeToast(): void;
            popToast({ type, message }: {
                type: import("../../constants").ToastPreset;
                message: string;
            }): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
}, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
export type RootStoreType = Instance<typeof RootStore>;
export { RootStore, mstStore };
export declare const MSTStoreContext: import("react").Context<{
    applicationStore: {
        configStore: {
            assessmentCompletionTime: number;
            scoreProgressColors: import("mobx-state-tree").IMSTArray<import("mobx-state-tree").ISimpleType<string>> & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IArrayType<import("mobx-state-tree").ISimpleType<string>>>;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            assessmentCompletionTime: import("mobx-state-tree").ISimpleType<number>;
            scoreProgressColors: import("mobx-state-tree").IArrayType<import("mobx-state-tree").ISimpleType<string>>;
        }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    } & import("mobx-state-tree/dist/internal").NonEmptyObject & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
        configStore: import("mobx-state-tree").IModelType<{
            assessmentCompletionTime: import("mobx-state-tree").ISimpleType<number>;
            scoreProgressColors: import("mobx-state-tree").IArrayType<import("mobx-state-tree").ISimpleType<string>>;
        }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    domainStore: {
        userStore: {
            isSignedIn: boolean;
            isRegisterAdminLoading: boolean;
            isEmailExisting: boolean;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
            setIsSignedIn: (value: boolean) => void;
            logoutUser: () => void;
            registerNewAdmin: (email: string, password: string, successCallback?: (() => void) | undefined) => Promise<void>;
            checkEmailExists: (email: string) => Promise<void>;
        } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            isSignedIn: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<boolean>, [undefined]>;
            isRegisterAdminLoading: import("mobx-state-tree").ISimpleType<boolean>;
            isEmailExisting: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            setIsSignedIn: (value: boolean) => void;
            logoutUser: () => void;
            registerNewAdmin: (email: string, password: string, successCallback?: (() => void) | undefined) => Promise<void>;
            checkEmailExists: (email: string) => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        configStore: {
            configData: import("mobx-state-tree").IMSTArray<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<string>;
                key: import("mobx-state-tree").ISimpleType<string>;
                value: import("mobx-state-tree").IType<any, any, any>;
                type: import("mobx-state-tree").ISimpleType<string>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>> & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<string>;
                key: import("mobx-state-tree").ISimpleType<string>;
                value: import("mobx-state-tree").IType<any, any, any>;
                type: import("mobx-state-tree").ISimpleType<string>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>>;
            isConfigLoading: boolean;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
            getConfigData: (page: number, limit: number) => Promise<void>;
            deleteConfigItem: (id: string) => Promise<void>;
            addConfigData: (data: {
                id?: string;
                key: string;
                value: string;
                type: string;
            }) => Promise<void>;
            updateConfigItem: (id: string, newData: any) => Promise<void>;
        } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            configData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<string>;
                key: import("mobx-state-tree").ISimpleType<string>;
                value: import("mobx-state-tree").IType<any, any, any>;
                type: import("mobx-state-tree").ISimpleType<string>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
            isConfigLoading: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            getConfigData: (page: number, limit: number) => Promise<void>;
            deleteConfigItem: (id: string) => Promise<void>;
            addConfigData: (data: {
                id?: string;
                key: string;
                value: string;
                type: string;
            }) => Promise<void>;
            updateConfigItem: (id: string, newData: any) => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        dashboardStore: {
            chartData: import("mobx-state-tree").IMSTArray<import("mobx-state-tree").IModelType<{
                name: import("mobx-state-tree").ISimpleType<string>;
                uv: import("mobx-state-tree").ISimpleType<number>;
                pv: import("mobx-state-tree").ISimpleType<number>;
                amt: import("mobx-state-tree").ISimpleType<number>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>> & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                name: import("mobx-state-tree").ISimpleType<string>;
                uv: import("mobx-state-tree").ISimpleType<number>;
                pv: import("mobx-state-tree").ISimpleType<number>;
                amt: import("mobx-state-tree").ISimpleType<number>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>>;
            isLoading: boolean;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
            getChartData: () => Promise<void>;
        } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            chartData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                name: import("mobx-state-tree").ISimpleType<string>;
                uv: import("mobx-state-tree").ISimpleType<number>;
                pv: import("mobx-state-tree").ISimpleType<number>;
                amt: import("mobx-state-tree").ISimpleType<number>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
            isLoading: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            getChartData: () => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        termsAndConditions: {
            termsAndConditionsData: string;
            id: string;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            termsAndConditionsData: import("mobx-state-tree").ISimpleType<string>;
            id: import("mobx-state-tree").ISimpleType<string>;
        }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
        updateTermsAndCondition: (data: string, id: string) => Promise<void>;
        getTermsAndConditions: () => Promise<void>;
        setTermsAndConditionsData: (data: string) => void;
    } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
        userStore: import("mobx-state-tree").IModelType<{
            isSignedIn: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<boolean>, [undefined]>;
            isRegisterAdminLoading: import("mobx-state-tree").ISimpleType<boolean>;
            isEmailExisting: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            setIsSignedIn: (value: boolean) => void;
            logoutUser: () => void;
            registerNewAdmin: (email: string, password: string, successCallback?: (() => void) | undefined) => Promise<void>;
            checkEmailExists: (email: string) => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        configStore: import("mobx-state-tree").IModelType<{
            configData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<string>;
                key: import("mobx-state-tree").ISimpleType<string>;
                value: import("mobx-state-tree").IType<any, any, any>;
                type: import("mobx-state-tree").ISimpleType<string>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
            isConfigLoading: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            getConfigData: (page: number, limit: number) => Promise<void>;
            deleteConfigItem: (id: string) => Promise<void>;
            addConfigData: (data: {
                id?: string;
                key: string;
                value: string;
                type: string;
            }) => Promise<void>;
            updateConfigItem: (id: string, newData: any) => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        dashboardStore: import("mobx-state-tree").IModelType<{
            chartData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                name: import("mobx-state-tree").ISimpleType<string>;
                uv: import("mobx-state-tree").ISimpleType<number>;
                pv: import("mobx-state-tree").ISimpleType<number>;
                amt: import("mobx-state-tree").ISimpleType<number>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
            isLoading: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            getChartData: () => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        termsAndConditions: import("mobx-state-tree").IModelType<{
            termsAndConditionsData: import("mobx-state-tree").ISimpleType<string>;
            id: import("mobx-state-tree").ISimpleType<string>;
        }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {
        updateTermsAndCondition: (data: string, id: string) => Promise<void>;
        getTermsAndConditions: () => Promise<void>;
        setTermsAndConditionsData: (data: string) => void;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    viewStore: {
        apiStatusStore: {
            apiStatus: any;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
            clearApiStatus: () => void;
            getApiStatus: (id: string) => any;
            setApiStatus: (data: {
                error?: any;
                hasFetched?: boolean;
                id: string;
                isError?: boolean;
                isLoading?: boolean;
            }) => void;
        } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            apiStatus: any;
        }, {
            clearApiStatus: () => void;
            getApiStatus: (id: string) => any;
            setApiStatus: (data: {
                error?: any;
                hasFetched?: boolean;
                id: string;
                isError?: boolean;
                isLoading?: boolean;
            }) => void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        toastStore: {
            isToastVisible: boolean;
            preset: import("../../constants").ToastPreset;
            toastMessage: string;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
            closeToast(): void;
            popToast({ type, message }: {
                type: import("../../constants").ToastPreset;
                message: string;
            }): void;
        } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            isToastVisible: import("mobx-state-tree").ISimpleType<boolean>;
            preset: import("mobx-state-tree").ISimpleType<import("../../constants").ToastPreset>;
            toastMessage: import("mobx-state-tree").ISimpleType<string>;
        }, {
            closeToast(): void;
            popToast({ type, message }: {
                type: import("../../constants").ToastPreset;
                message: string;
            }): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    } & import("mobx-state-tree/dist/internal").NonEmptyObject & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
        apiStatusStore: import("mobx-state-tree").IModelType<{
            apiStatus: any;
        }, {
            clearApiStatus: () => void;
            getApiStatus: (id: string) => any;
            setApiStatus: (data: {
                error?: any;
                hasFetched?: boolean;
                id: string;
                isError?: boolean;
                isLoading?: boolean;
            }) => void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        toastStore: import("mobx-state-tree").IModelType<{
            isToastVisible: import("mobx-state-tree").ISimpleType<boolean>;
            preset: import("mobx-state-tree").ISimpleType<import("../../constants").ToastPreset>;
            toastMessage: import("mobx-state-tree").ISimpleType<string>;
        }, {
            closeToast(): void;
            popToast({ type, message }: {
                type: import("../../constants").ToastPreset;
                message: string;
            }): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
} & import("mobx-state-tree/dist/internal").NonEmptyObject & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
    applicationStore: import("mobx-state-tree").IModelType<{
        configStore: import("mobx-state-tree").IModelType<{
            assessmentCompletionTime: import("mobx-state-tree").ISimpleType<number>;
            scoreProgressColors: import("mobx-state-tree").IArrayType<import("mobx-state-tree").ISimpleType<string>>;
        }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    domainStore: import("mobx-state-tree").IModelType<{
        userStore: import("mobx-state-tree").IModelType<{
            isSignedIn: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<boolean>, [undefined]>;
            isRegisterAdminLoading: import("mobx-state-tree").ISimpleType<boolean>;
            isEmailExisting: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            setIsSignedIn: (value: boolean) => void;
            logoutUser: () => void;
            registerNewAdmin: (email: string, password: string, successCallback?: (() => void) | undefined) => Promise<void>;
            checkEmailExists: (email: string) => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        configStore: import("mobx-state-tree").IModelType<{
            configData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<string>;
                key: import("mobx-state-tree").ISimpleType<string>;
                value: import("mobx-state-tree").IType<any, any, any>;
                type: import("mobx-state-tree").ISimpleType<string>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
            isConfigLoading: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            getConfigData: (page: number, limit: number) => Promise<void>;
            deleteConfigItem: (id: string) => Promise<void>;
            addConfigData: (data: {
                id?: string;
                key: string;
                value: string;
                type: string;
            }) => Promise<void>;
            updateConfigItem: (id: string, newData: any) => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        dashboardStore: import("mobx-state-tree").IModelType<{
            chartData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                name: import("mobx-state-tree").ISimpleType<string>;
                uv: import("mobx-state-tree").ISimpleType<number>;
                pv: import("mobx-state-tree").ISimpleType<number>;
                amt: import("mobx-state-tree").ISimpleType<number>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
            isLoading: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            getChartData: () => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        termsAndConditions: import("mobx-state-tree").IModelType<{
            termsAndConditionsData: import("mobx-state-tree").ISimpleType<string>;
            id: import("mobx-state-tree").ISimpleType<string>;
        }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {
        updateTermsAndCondition: (data: string, id: string) => Promise<void>;
        getTermsAndConditions: () => Promise<void>;
        setTermsAndConditionsData: (data: string) => void;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    viewStore: import("mobx-state-tree").IModelType<{
        apiStatusStore: import("mobx-state-tree").IModelType<{
            apiStatus: any;
        }, {
            clearApiStatus: () => void;
            getApiStatus: (id: string) => any;
            setApiStatus: (data: {
                error?: any;
                hasFetched?: boolean;
                id: string;
                isError?: boolean;
                isLoading?: boolean;
            }) => void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        toastStore: import("mobx-state-tree").IModelType<{
            isToastVisible: import("mobx-state-tree").ISimpleType<boolean>;
            preset: import("mobx-state-tree").ISimpleType<import("../../constants").ToastPreset>;
            toastMessage: import("mobx-state-tree").ISimpleType<string>;
        }, {
            closeToast(): void;
            popToast({ type, message }: {
                type: import("../../constants").ToastPreset;
                message: string;
            }): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
}, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>>;
export declare const useStore: () => {
    applicationStore: {
        configStore: {
            assessmentCompletionTime: number;
            scoreProgressColors: import("mobx-state-tree").IMSTArray<import("mobx-state-tree").ISimpleType<string>> & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IArrayType<import("mobx-state-tree").ISimpleType<string>>>;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            assessmentCompletionTime: import("mobx-state-tree").ISimpleType<number>;
            scoreProgressColors: import("mobx-state-tree").IArrayType<import("mobx-state-tree").ISimpleType<string>>;
        }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    } & import("mobx-state-tree/dist/internal").NonEmptyObject & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
        configStore: import("mobx-state-tree").IModelType<{
            assessmentCompletionTime: import("mobx-state-tree").ISimpleType<number>;
            scoreProgressColors: import("mobx-state-tree").IArrayType<import("mobx-state-tree").ISimpleType<string>>;
        }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    domainStore: {
        userStore: {
            isSignedIn: boolean;
            isRegisterAdminLoading: boolean;
            isEmailExisting: boolean;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
            setIsSignedIn: (value: boolean) => void;
            logoutUser: () => void;
            registerNewAdmin: (email: string, password: string, successCallback?: (() => void) | undefined) => Promise<void>;
            checkEmailExists: (email: string) => Promise<void>;
        } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            isSignedIn: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<boolean>, [undefined]>;
            isRegisterAdminLoading: import("mobx-state-tree").ISimpleType<boolean>;
            isEmailExisting: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            setIsSignedIn: (value: boolean) => void;
            logoutUser: () => void;
            registerNewAdmin: (email: string, password: string, successCallback?: (() => void) | undefined) => Promise<void>;
            checkEmailExists: (email: string) => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        configStore: {
            configData: import("mobx-state-tree").IMSTArray<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<string>;
                key: import("mobx-state-tree").ISimpleType<string>;
                value: import("mobx-state-tree").IType<any, any, any>;
                type: import("mobx-state-tree").ISimpleType<string>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>> & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<string>;
                key: import("mobx-state-tree").ISimpleType<string>;
                value: import("mobx-state-tree").IType<any, any, any>;
                type: import("mobx-state-tree").ISimpleType<string>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>>;
            isConfigLoading: boolean;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
            getConfigData: (page: number, limit: number) => Promise<void>;
            deleteConfigItem: (id: string) => Promise<void>;
            addConfigData: (data: {
                id?: string;
                key: string;
                value: string;
                type: string;
            }) => Promise<void>;
            updateConfigItem: (id: string, newData: any) => Promise<void>;
        } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            configData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<string>;
                key: import("mobx-state-tree").ISimpleType<string>;
                value: import("mobx-state-tree").IType<any, any, any>;
                type: import("mobx-state-tree").ISimpleType<string>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
            isConfigLoading: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            getConfigData: (page: number, limit: number) => Promise<void>;
            deleteConfigItem: (id: string) => Promise<void>;
            addConfigData: (data: {
                id?: string;
                key: string;
                value: string;
                type: string;
            }) => Promise<void>;
            updateConfigItem: (id: string, newData: any) => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        dashboardStore: {
            chartData: import("mobx-state-tree").IMSTArray<import("mobx-state-tree").IModelType<{
                name: import("mobx-state-tree").ISimpleType<string>;
                uv: import("mobx-state-tree").ISimpleType<number>;
                pv: import("mobx-state-tree").ISimpleType<number>;
                amt: import("mobx-state-tree").ISimpleType<number>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>> & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                name: import("mobx-state-tree").ISimpleType<string>;
                uv: import("mobx-state-tree").ISimpleType<number>;
                pv: import("mobx-state-tree").ISimpleType<number>;
                amt: import("mobx-state-tree").ISimpleType<number>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>>;
            isLoading: boolean;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
            getChartData: () => Promise<void>;
        } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            chartData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                name: import("mobx-state-tree").ISimpleType<string>;
                uv: import("mobx-state-tree").ISimpleType<number>;
                pv: import("mobx-state-tree").ISimpleType<number>;
                amt: import("mobx-state-tree").ISimpleType<number>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
            isLoading: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            getChartData: () => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        termsAndConditions: {
            termsAndConditionsData: string;
            id: string;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            termsAndConditionsData: import("mobx-state-tree").ISimpleType<string>;
            id: import("mobx-state-tree").ISimpleType<string>;
        }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
        updateTermsAndCondition: (data: string, id: string) => Promise<void>;
        getTermsAndConditions: () => Promise<void>;
        setTermsAndConditionsData: (data: string) => void;
    } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
        userStore: import("mobx-state-tree").IModelType<{
            isSignedIn: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<boolean>, [undefined]>;
            isRegisterAdminLoading: import("mobx-state-tree").ISimpleType<boolean>;
            isEmailExisting: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            setIsSignedIn: (value: boolean) => void;
            logoutUser: () => void;
            registerNewAdmin: (email: string, password: string, successCallback?: (() => void) | undefined) => Promise<void>;
            checkEmailExists: (email: string) => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        configStore: import("mobx-state-tree").IModelType<{
            configData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<string>;
                key: import("mobx-state-tree").ISimpleType<string>;
                value: import("mobx-state-tree").IType<any, any, any>;
                type: import("mobx-state-tree").ISimpleType<string>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
            isConfigLoading: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            getConfigData: (page: number, limit: number) => Promise<void>;
            deleteConfigItem: (id: string) => Promise<void>;
            addConfigData: (data: {
                id?: string;
                key: string;
                value: string;
                type: string;
            }) => Promise<void>;
            updateConfigItem: (id: string, newData: any) => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        dashboardStore: import("mobx-state-tree").IModelType<{
            chartData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                name: import("mobx-state-tree").ISimpleType<string>;
                uv: import("mobx-state-tree").ISimpleType<number>;
                pv: import("mobx-state-tree").ISimpleType<number>;
                amt: import("mobx-state-tree").ISimpleType<number>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
            isLoading: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            getChartData: () => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        termsAndConditions: import("mobx-state-tree").IModelType<{
            termsAndConditionsData: import("mobx-state-tree").ISimpleType<string>;
            id: import("mobx-state-tree").ISimpleType<string>;
        }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {
        updateTermsAndCondition: (data: string, id: string) => Promise<void>;
        getTermsAndConditions: () => Promise<void>;
        setTermsAndConditionsData: (data: string) => void;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    viewStore: {
        apiStatusStore: {
            apiStatus: any;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
            clearApiStatus: () => void;
            getApiStatus: (id: string) => any;
            setApiStatus: (data: {
                error?: any;
                hasFetched?: boolean;
                id: string;
                isError?: boolean;
                isLoading?: boolean;
            }) => void;
        } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            apiStatus: any;
        }, {
            clearApiStatus: () => void;
            getApiStatus: (id: string) => any;
            setApiStatus: (data: {
                error?: any;
                hasFetched?: boolean;
                id: string;
                isError?: boolean;
                isLoading?: boolean;
            }) => void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        toastStore: {
            isToastVisible: boolean;
            preset: import("../../constants").ToastPreset;
            toastMessage: string;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
            closeToast(): void;
            popToast({ type, message }: {
                type: import("../../constants").ToastPreset;
                message: string;
            }): void;
        } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            isToastVisible: import("mobx-state-tree").ISimpleType<boolean>;
            preset: import("mobx-state-tree").ISimpleType<import("../../constants").ToastPreset>;
            toastMessage: import("mobx-state-tree").ISimpleType<string>;
        }, {
            closeToast(): void;
            popToast({ type, message }: {
                type: import("../../constants").ToastPreset;
                message: string;
            }): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    } & import("mobx-state-tree/dist/internal").NonEmptyObject & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
        apiStatusStore: import("mobx-state-tree").IModelType<{
            apiStatus: any;
        }, {
            clearApiStatus: () => void;
            getApiStatus: (id: string) => any;
            setApiStatus: (data: {
                error?: any;
                hasFetched?: boolean;
                id: string;
                isError?: boolean;
                isLoading?: boolean;
            }) => void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        toastStore: import("mobx-state-tree").IModelType<{
            isToastVisible: import("mobx-state-tree").ISimpleType<boolean>;
            preset: import("mobx-state-tree").ISimpleType<import("../../constants").ToastPreset>;
            toastMessage: import("mobx-state-tree").ISimpleType<string>;
        }, {
            closeToast(): void;
            popToast({ type, message }: {
                type: import("../../constants").ToastPreset;
                message: string;
            }): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
} & import("mobx-state-tree/dist/internal").NonEmptyObject & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
    applicationStore: import("mobx-state-tree").IModelType<{
        configStore: import("mobx-state-tree").IModelType<{
            assessmentCompletionTime: import("mobx-state-tree").ISimpleType<number>;
            scoreProgressColors: import("mobx-state-tree").IArrayType<import("mobx-state-tree").ISimpleType<string>>;
        }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    domainStore: import("mobx-state-tree").IModelType<{
        userStore: import("mobx-state-tree").IModelType<{
            isSignedIn: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<boolean>, [undefined]>;
            isRegisterAdminLoading: import("mobx-state-tree").ISimpleType<boolean>;
            isEmailExisting: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            setIsSignedIn: (value: boolean) => void;
            logoutUser: () => void;
            registerNewAdmin: (email: string, password: string, successCallback?: (() => void) | undefined) => Promise<void>;
            checkEmailExists: (email: string) => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        configStore: import("mobx-state-tree").IModelType<{
            configData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<string>;
                key: import("mobx-state-tree").ISimpleType<string>;
                value: import("mobx-state-tree").IType<any, any, any>;
                type: import("mobx-state-tree").ISimpleType<string>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
            isConfigLoading: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            getConfigData: (page: number, limit: number) => Promise<void>;
            deleteConfigItem: (id: string) => Promise<void>;
            addConfigData: (data: {
                id?: string;
                key: string;
                value: string;
                type: string;
            }) => Promise<void>;
            updateConfigItem: (id: string, newData: any) => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        dashboardStore: import("mobx-state-tree").IModelType<{
            chartData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                name: import("mobx-state-tree").ISimpleType<string>;
                uv: import("mobx-state-tree").ISimpleType<number>;
                pv: import("mobx-state-tree").ISimpleType<number>;
                amt: import("mobx-state-tree").ISimpleType<number>;
            }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
            isLoading: import("mobx-state-tree").ISimpleType<boolean>;
        }, {
            getChartData: () => Promise<void>;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        termsAndConditions: import("mobx-state-tree").IModelType<{
            termsAndConditionsData: import("mobx-state-tree").ISimpleType<string>;
            id: import("mobx-state-tree").ISimpleType<string>;
        }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {
        updateTermsAndCondition: (data: string, id: string) => Promise<void>;
        getTermsAndConditions: () => Promise<void>;
        setTermsAndConditionsData: (data: string) => void;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    viewStore: import("mobx-state-tree").IModelType<{
        apiStatusStore: import("mobx-state-tree").IModelType<{
            apiStatus: any;
        }, {
            clearApiStatus: () => void;
            getApiStatus: (id: string) => any;
            setApiStatus: (data: {
                error?: any;
                hasFetched?: boolean;
                id: string;
                isError?: boolean;
                isLoading?: boolean;
            }) => void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        toastStore: import("mobx-state-tree").IModelType<{
            isToastVisible: import("mobx-state-tree").ISimpleType<boolean>;
            preset: import("mobx-state-tree").ISimpleType<import("../../constants").ToastPreset>;
            toastMessage: import("mobx-state-tree").ISimpleType<string>;
        }, {
            closeToast(): void;
            popToast({ type, message }: {
                type: import("../../constants").ToastPreset;
                message: string;
            }): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
}, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
export declare const MSTStoreProvider: ({ children }: {
    children: ReactNode;
}) => import("react/jsx-runtime").JSX.Element;
