export declare const API_TIMEOUT = 10000;
export declare enum ApiMethod {
    Delete = "delete",
    Get = "get",
    Patch = "patch",
    Post = "post",
    Put = "put"
}
export declare enum ApiStatusCode {
    BadRequest = 400,
    Created = 201,
    Forbidden = 403,
    MethodNotFound = 405,
    NetworkError = "ERR_NETWORK",
    NoContent = 204,
    NotFound = 404,
    ServerError = 500,
    Success = 200,
    Unauthorized = 401
}
export declare const API: {
    baseUrl: string;
    config: {
        headers: {
            Accept: string;
            'Content-Type': string;
            Authorization: string;
        };
    };
    endPoints: {
        LEADS: string;
    };
};
export declare const enum API_STATUS_PRESET {
    SUBMIT_LEAD_INQUIRY = "submitLeadInquiry"
}
